import { ISharedBikesBikeStatusOutput } from "#sch";
import {
    HOPPYGO_ID_PREFIX,
    HOPPYGO_PRICING_PLAN_PREFIX,
    HOPPYGO_SYSTEM_ID,
    HOPPYGO_VEHICLE_TYPE_COMBUSTION,
    HOPPYGO_VEHICLE_TYPE_ELECTRIC,
} from "#ie/transformations/HoppyGo/transformConstants";

export const hoppyGoBikeStatusTransformationFixture = (transformationDate: Date): ISharedBikesBikeStatusOutput[] => [
    {
        id: HOPPYGO_ID_PREFIX + "7437",
        system_id: HOPPYGO_SYSTEM_ID,
        point: {
            type: "Point",
            coordinates: [17.041229, 48.181986],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "Škoda ENYAQ iV",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: HOPPYGO_VEHICLE_TYPE_ELECTRIC,
        last_reported: transformationDate.toISOString(),
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: "hoppygo_rental_apps",
        station_id: null,
        pricing_plan_id: HOPPYGO_PRICING_PLAN_PREFIX + "7437",
        make: "Škoda",
        model: "ENYAQ iV",
        color: null,
    },
    {
        id: HOPPYGO_ID_PREFIX + "12472",
        system_id: HOPPYGO_SYSTEM_ID,
        point: {
            type: "Point",
            coordinates: [14.330787, 50.045189],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "Mazda 3",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: HOPPYGO_VEHICLE_TYPE_COMBUSTION,
        last_reported: transformationDate.toISOString(),
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: "hoppygo_rental_apps",
        station_id: null,
        pricing_plan_id: HOPPYGO_PRICING_PLAN_PREFIX + "12472",
        make: "Mazda",
        model: "3",
        color: null,
    },
];
